﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Telerik.Web.UI;
using Telerik.Web.UI.Editor.DialogControls;

/// <summary>
/// Summary description for DialogOpenerHandler
/// </summary>
public static class DialogOpenerHandler
{
    public static void SetDocumentDialog(DialogOpener dialogOpener, string baseUrl)
    {
        FileManagerDialogParameters documentManagerParameters = new FileManagerDialogParameters();
        documentManagerParameters.ViewPaths = new string[] { baseUrl };
        documentManagerParameters.UploadPaths = new string[] { baseUrl };
        documentManagerParameters.DeletePaths = new string[] { baseUrl };
        documentManagerParameters.MaxUploadFileSize = 5000000;


        DialogDefinition documentManager = new DialogDefinition(typeof(DocumentManagerDialog), documentManagerParameters);
        documentManager.ClientCallbackFunction = "DocumentManagerFunction";
        documentManager.Width = System.Web.UI.WebControls.Unit.Pixel(694);
        documentManager.Height = System.Web.UI.WebControls.Unit.Pixel(440);

        dialogOpener.DialogDefinitions.Add("DocumentManager", documentManager);
    }

    public static void SetFlashDialog(DialogOpener dialogOpener, string baseUrl)
    {
        FileManagerDialogParameters documentManagerParameters = new FileManagerDialogParameters();
        documentManagerParameters.ViewPaths = new string[] { baseUrl };
        documentManagerParameters.UploadPaths = new string[] { baseUrl };
        documentManagerParameters.DeletePaths = new string[] { baseUrl };
        documentManagerParameters.MaxUploadFileSize = 5000000;


        DialogDefinition documentManager = new DialogDefinition(typeof(FlashManagerDialog), documentManagerParameters);
        documentManager.ClientCallbackFunction = "FlashManagerFunction";
        documentManager.Width = System.Web.UI.WebControls.Unit.Pixel(694);
        documentManager.Height = System.Web.UI.WebControls.Unit.Pixel(440);

        dialogOpener.DialogDefinitions.Add("FlashManager", documentManager);
    }

    public static void SetImageDialog(DialogOpener dialogOpener, string baseUrl)
    {
        FileManagerDialogParameters imageManagerParameters = new FileManagerDialogParameters();
        imageManagerParameters.ViewPaths = new string[] { baseUrl };
        imageManagerParameters.UploadPaths = new string[] { baseUrl };
        imageManagerParameters.DeletePaths = new string[] { baseUrl };
        imageManagerParameters.MaxUploadFileSize = 5000000;
        // If you don't set the following property, the default value will be used   
        // imageManagerParameters.SearchPatterns = new string[] { "*.jpg" };   
        DialogDefinition imageManager = new DialogDefinition(typeof(ImageManagerDialog), imageManagerParameters);
        imageManager.ClientCallbackFunction = "ImageManagerFunction";
        imageManager.Width = System.Web.UI.WebControls.Unit.Pixel(694);
        imageManager.Height = System.Web.UI.WebControls.Unit.Pixel(440);

        dialogOpener.DialogDefinitions.Add("ImageManager", imageManager);

        FileManagerDialogParameters imageEditorParameters = new FileManagerDialogParameters();
        imageEditorParameters.ViewPaths = new string[] { baseUrl };
        imageEditorParameters.UploadPaths = new string[] { baseUrl };
        imageEditorParameters.DeletePaths = new string[] { baseUrl };
        imageEditorParameters.MaxUploadFileSize = 5000000;

        DialogDefinition imageEditor = new DialogDefinition(typeof(ImageEditorDialog), imageEditorParameters);
        imageEditor.Width = System.Web.UI.WebControls.Unit.Pixel(832);
        imageEditor.Height = System.Web.UI.WebControls.Unit.Pixel(520);
        dialogOpener.DialogDefinitions.Add("ImageEditor", imageEditor);

    }
}
